Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockCollage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockCollage

Enclosing class:
  TdApi

public static final class TdApi.PageBlockCollage extends TdApi.PageBlock
A collage.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.PageBlockCaption`
`caption`
Block caption.
`static final int`
`CONSTRUCTOR`
`TdApi.PageBlock[]`
`pageBlocks`
Collage item contents.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockCollage()`
A collage.
`PageBlockCollage(TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)`
A collage.
`PageBlockCollage(DataInput input)`
A collage.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pageBlocks

public TdApi.PageBlock[] pageBlocks
Collage item contents.

### caption

public TdApi.PageBlockCaption caption
Block caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockCollage

public PageBlockCollage()
A collage.

### PageBlockCollage

public PageBlockCollage(TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)
A collage.

Parameters:
  `pageBlocks` - PageBlock[] Collage item contents.
  `caption` - PageBlockCaption Block caption.

### PageBlockCollage

public PageBlockCollage(DataInput input) throws IOException
A collage.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`